import Service from '@ember/service';
import type FastBootAdapter from 'ember-best-language/services/best-language/fastboot';
import type BrowserAdapter from 'ember-best-language/services/best-language/browser';
declare class FastBoot {
    isFastBoot: boolean;
    request: Request;
}
interface Language {
    language: string;
    baseLanguage: string;
    score: number;
}
export default class BestLanguage extends Service {
    fastbootAdapter: FastBootAdapter;
    browserAdapter: BrowserAdapter;
    get fastboot(): FastBoot | null;
    bestLanguage(languages: string[]): Language | null;
    bestLanguageOrFirst(languages: string[]): Language;
    private getBaseLanguage;
    private intersectLanguages;
    private sortLanguagesByScore;
    private mapToLanguage;
}
declare module '@ember/service' {
    interface Registry {
        'best-language': BestLanguage;
    }
}
export {};
